{
  "name": "csx-ce-monorepo",
  "version": "0.0.1",
  "dependencies": {},
  "devDependencies": {
    "@babel/register": "latest",
    "@babel/cli": "csx",
    "@babel/core": "csx",
    "@babel/plugin-proposal-class-properties": "csx",
    "@babel/plugin-proposal-decorators": "csx",
    "@babel/plugin-proposal-export-default-from": "csx",
    "@babel/plugin-proposal-export-namespace-from": "csx",
    "@babel/plugin-proposal-nullish-coalescing-operator": "csx",
    "@babel/plugin-proposal-optional-chaining": "csx",
    "@babel/plugin-proposal-private-methods": "csx",
    "@babel/plugin-transform-react-jsx": "csx",
    "@babel/preset-env": "csx",
    "jsdoc": "latest",
    "sass": "latest",
    "rollup": "latest",
    "rollup-plugin-babel": "csx",
    "rollup-plugin-node-resolve": "latest",
    "rollup-plugin-commonjs": "latest",
    "rollup-plugin-json": "latest",
    "rollup-plugin-postcss": "latest",
    "rollup-plugin-terser": "latest",
    "@cerxes/host": "latest",
    "postcss": "latest",
    "postcss-preset-env": "latest",
    "postcss-import": "latest",
    "serve": "latest",
    "npm-run-all": "latest"
  },
  "scripts": {
    "dev": "npm-run-all -p watch:babel-transform-csx watch:csx watch:tests serve:tests",
    "build": "npm-run-all -s build:babel-transform-csx build:csx build:tests",
    "watch": "npm-run-all -p watch:babel-transform-csx watch:csx watch:tests",
    "build:tests": "node -r @babel/register ./tests/cfg/rollup-build.js build",
    "watch:tests": "node -r @babel/register ./tests/cfg/rollup-build.js watch",
    "serve:tests": "serve public",
    "build:babel-transform-csx": "cd packages/babel-plugin-transform-csx && npm run build",
    "build:csx": "cd packages/csx && npm run build",
    "watch:babel-transform-csx": "cd packages/babel-plugin-transform-csx && npm run watch",
    "watch:csx": "cd packages/csx && npm run watch-es6"
  }
}
